class MKBaseException(Exception):
    def __init__(self, message: str = None, **kwargs) -> None:
        self.message = message
        super().__init__(message, **kwargs)

# Compose exceptions. Those usually mean a bug on my side.
class MKComposeException(MKBaseException):
    pass

# Downloading
class MKDownloadException(MKBaseException):
    pass


class MKMissingNameException(MKDownloadException):
    pass


# Frontend
class MKFrontendException(MKBaseException):
    pass

class MKInvalidInputException(MKFrontendException):
    pass


